Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: kate
Source: git://anongit.kde.org/kate
Comment:
 KDE software follows the KDE licensing policy that can be found:
 https://techbase.kde.org/Policies/Licensing_Policy
 Some files might refer to license names that are explained it these the
 mentioned policy.
 .
 Unless otherwise noted the default license used in this application is
 LGPL-2.1+ for the source code and GFDL-NIV-1.2+ for the documentation.
 Some of the optional plugins used at runtime are under a version of
 the GPL license.
 .
 In particular, this licensing allows this project to link against libgit2
 (which may, in turn, link against the openssl, which has incompatibilities
 with the GPL),  as the code that links against this is the kateprojectplugin,
 that is under a  version of the LGPL, so the incompatibilities don't apply.
 .
 On the other hand, in order to link against the ktexteditor framework
 (which may, in turn, link against libgit2), either the libgit2 needs to be
 linked against gnutls or ktexteditor needs to not be linked against libgit2.

Files: *
Copyright: 2009, Abhishek Patil <abhishekworld@gmail.com>
           2001-2003, Anders Lund <anders.lund@lund.tdcadsl.dk>
           2001-2007, Anders Lund <anders@alweb.dk>
           2008, Andreas Pakulat <apaku@gmx.de>
           2001-2014, Christoph Cullmann <cullmann@kde.org>
           2005, Dominik Haumann (dhdev@gmx.de) (documentation)
           2013, Dominik Haumann <dhaumann.org>
           2014, Dominik Haumann <dhaumann@kde.org>
           2014, Dominik Haumann <dhauumann@kde.org>
           1991, Free Software Foundation, Inc
           2014, Gregor Mi <codestruct@posteo.org>
           2001-2014, Joseph Wenninger <jowenn@kde.org>
           2011-2014, Kåre Särs <kare.sars@iki.fi>
           2009-2010, Milian Wolff <mail@milianw.de>
           2007, Mirko Stocker <me@misto.ch>
           2007, Oswald Buddenhagen <ossi@kde.org>
           2007, Robert Gruber <rgruber@users.sourceforge.net>
           2002, Simon Hausmann <hausmann@kde.org>
           2014, Sven Brauch <svenbrauch@gmail.com>
           2010, Thomas Fjellstrom <thomas@fjellstrom.ca>
           2004, Anders.Lund
           2001-2002, Daniel.Naber
           2013, The Kate Team
           2007, Free Software Foundation, Inc. <http://fsf.org/>
           Milian Wolff <mail@milianw.de>
           Robert Gruber [rgruber A users!sourceforge!net]
           2010, Tomáš Trnka
License: LGPL-2+

Files: addons/backtracebrowser/btdatabase.cpp
       addons/backtracebrowser/btdatabase.h
       addons/backtracebrowser/btfileindexer.cpp
       addons/backtracebrowser/btfileindexer.h
       addons/backtracebrowser/btparser.cpp
       addons/backtracebrowser/btparser.h
       addons/backtracebrowser/katebacktracebrowser.cpp
       addons/backtracebrowser/katebacktracebrowser.h
       addons/filebrowser/katebookmarkhandler.cpp
       addons/filebrowser/katebookmarkhandler.h
       addons/filebrowser/katefilebrowser.cpp
       addons/filebrowser/katefilebrowser.h
       addons/filebrowser/katefilebrowserconfig.cpp
       addons/filebrowser/katefilebrowserconfig.h
       addons/filebrowser/katefilebrowserplugin.cpp
       addons/filebrowser/katefilebrowserplugin.h
       addons/filetemplates/templates/cpplgpl.cpp.katetemplate
       addons/filetemplates/templates/cpplgpl.hh.katetemplate
       addons/gdbplugin/advanced_settings.cpp
       addons/gdbplugin/advanced_settings.h
       addons/gdbplugin/configview.cpp
       addons/gdbplugin/configview.h
       addons/gdbplugin/debugview.cpp
       addons/gdbplugin/debugview.h
       addons/gdbplugin/ioview.cpp
       addons/gdbplugin/ioview.h
       addons/gdbplugin/localsview.cpp
       addons/gdbplugin/localsview.h
       addons/gdbplugin/plugin_kategdb.cpp
       addons/gdbplugin/plugin_kategdb.h
       addons/katebuild-plugin/KBProcess.h
       addons/katebuild-plugin/targets.cpp
       addons/katebuild-plugin/targets.h
       addons/katesql/cachedsqlquerymodel.cpp
       addons/katesql/cachedsqlquerymodel.h
       addons/katesql/connection.h
       addons/katesql/connectionmodel.cpp
       addons/katesql/connectionmodel.h
       addons/katesql/connectionwizard.cpp
       addons/katesql/connectionwizard.h
       addons/katesql/dataoutputmodel.cpp
       addons/katesql/dataoutputmodel.h
       addons/katesql/dataoutputview.cpp
       addons/katesql/dataoutputview.h
       addons/katesql/dataoutputwidget.cpp
       addons/katesql/dataoutputwidget.h
       addons/katesql/exportwizard.cpp
       addons/katesql/exportwizard.h
       addons/katesql/katesqlconfigpage.cpp
       addons/katesql/katesqlconfigpage.h
       addons/katesql/katesqlplugin.cpp
       addons/katesql/katesqlplugin.h
       addons/katesql/katesqlview.cpp
       addons/katesql/katesqlview.h
       addons/katesql/outputstyle.h
       addons/katesql/outputstylewidget.cpp
       addons/katesql/outputstylewidget.h
       addons/katesql/schemabrowserwidget.cpp
       addons/katesql/schemabrowserwidget.h
       addons/katesql/schemawidget.cpp
       addons/katesql/schemawidget.h
       addons/katesql/sqlmanager.cpp
       addons/katesql/sqlmanager.h
       addons/katesql/textoutputwidget.cpp
       addons/katesql/textoutputwidget.h
       addons/konsole/kateconsole.cpp
       addons/konsole/kateconsole.h
       addons/mailfiles/katemailfiles.cpp
       addons/mailfiles/katemailfiles.h
       addons/mailfiles/katemailfilesdialog.cpp
       addons/mailfiles/katemailfilesdialog.h
       addons/openheader/plugin_kateopenheader.cpp
       addons/openheader/plugin_kateopenheader.h
       kate/src/kateapp.cpp
       kate/src/kateappadaptor.cpp
       kate/src/kateconfigdialog.cpp
       kate/src/kateconfigplugindialogpage.cpp
       kate/src/katedocmanager.cpp
       kate/src/katedocmanager.h
       kate/src/katemainwindow.cpp
       kate/src/katemainwindow.h
       kate/src/katemwmodonhddialog.cpp
       kate/src/katepluginmanager.cpp
       kate/src/katerunninginstanceinfo.cpp
       kate/src/katesavemodifieddialog.cpp
       kate/src/kateviewmanager.cpp
       kate/src/kateviewmanager.h
       kate/src/kateviewspace.cpp
       kate/src/kateviewspace.h
       kate/src/main.cpp
       kwrite/kwrite.cpp
       kwrite/kwrite.h
       kwrite/main.cpp
Copyright: 2001-2005, Anders Lund <anders.lund@lund.tdcadsl.dk>
           2004-2007, Anders Lund <anders@alweb.dk>
           2001, Christoph Cullmann <cullmann@kde.org>
           2008-2014, Dominik Haumann <dhaumann kde org>
           2009, Erlend Hamberg <ehamberg@gmail.com>
           2007, Flavio Castelli <flavio.castelli@gmail.com>
           2008-2010, Ian Wakeling <ian.wakeling@ntlworld.com>
           2001, Joseph Wenninger
           2001-2009, Joseph Wenninger <jowenn@kde.org>
           2010-2014, Kåre Särs <kare.sars@iki.fi>
           2010, Marco Mentasti <marcomentasti@gmail.com>
           2007, Mirko Stocker <me@misto.ch>
License: LGPL-2

Files: addons/filetemplates/plugin/filetemplates.cpp
       addons/filetemplates/plugin/filetemplates.h
       addons/filetemplates/plugin/katetemplate.xml
       addons/filetemplates/templates/cppgpl.cpp.katetemplate
       addons/filetemplates/templates/cppgpl.hh.katetemplate
       addons/filetemplates/templates/language.xml.katetemplate
       addons/kate-ctags/ctagskinds.cpp
       addons/kate-ctags/ctagskinds.h
       addons/kate-ctags/tags.cpp
       addons/kate-ctags/tags.h
       addons/katebuild-plugin/plugin_katebuild.cpp
       addons/katebuild-plugin/plugin_katebuild.h
       addons/kttsd/katekttsd.cpp
       addons/kttsd/katekttsd.h
       addons/search/FolderFilesList.cpp
       addons/search/FolderFilesList.h
       addons/search/SearchDiskFiles.cpp
       addons/search/SearchDiskFiles.h
       addons/search/plugin_search.cpp
       addons/search/plugin_search.h
       addons/search/replace_matches.cpp
       addons/search/replace_matches.h
       addons/search/search_open_files.cpp
       addons/search/search_open_files.h
       addons/sessionapplet/applet/contents/ui/KateSessionsItemDelegate.qml
       addons/sessionapplet/applet/contents/ui/Menu.qml
       addons/sessionapplet/applet/contents/ui/katesessions.qml
       addons/sessionapplet/engine/katesessionsengine.cpp
       addons/sessionapplet/engine/katesessionsengine.h
       addons/sessionapplet/engine/katesessionsjob.cpp
       addons/sessionapplet/engine/katesessionsjob.h
       addons/sessionapplet/engine/katesessionsmodel.cpp
       addons/sessionapplet/engine/katesessionsmodel.h
       addons/sessionapplet/engine/katesessionsservice.cpp
       addons/sessionapplet/engine/katesessionsservice.h
       addons/symbolviewer/bash_parser.cpp
       addons/symbolviewer/cpp_parser.cpp
       addons/symbolviewer/ecma_parser.cpp
       addons/symbolviewer/fortran_parser.cpp
       addons/symbolviewer/perl_parser.cpp
       addons/symbolviewer/php_parser.cpp
       addons/symbolviewer/plugin_katesymbolviewer.cpp
       addons/symbolviewer/plugin_katesymbolviewer.h
       addons/symbolviewer/python_parser.cpp
       addons/symbolviewer/ruby_parser.cpp
       addons/symbolviewer/tcl_parser.cpp
       addons/symbolviewer/xslt_parser.cpp
       addons/textfilter/plugin_katetextfilter.cpp
       addons/textfilter/plugin_katetextfilter.h
       addons/xmlcheck/plugin_katexmlcheck.cpp
       addons/xmlcheck/plugin_katexmlcheck.h
       addons/xmltools/plugin_katexmltools.cpp
       addons/xmltools/plugin_katexmltools.h
       addons/xmltools/pseudo_dtd.cpp
       addons/xmltools/pseudo_dtd.h
Copyright: 2013, Alexander Neundorf <neundorf@kde.org>
           2004-2005, Anders Lund <anders@alweb.dk>
           2001-2002, Bernd Gehrmann
           2001-2002, Daniel Naber
           2009, Dominik Haumann <dhaumann kde org>
           2005, Gary Cramblitt <garycramblitt@comcast.net>
           2011, Ian Wakeling <ian.wakeling@ntlworld.com>
           2004, Jens Dagerbo
           2004-2014, Joseph Wenninger <jowenn@kde.org>
           2001, Joseph Wenninger
           2001, Joseph Wenninger <jowenn@bigfoot.com>
           2014, Kai Uwe Broulik <kde@privat.broulik.de>
           2006-2014, Kåre Särs <kare.sars@iki.fi>
           2008-2009, Laurent Montel <montel@kde.org>
           2014, Martin Gräßlin <mgraesslin@kde.org>
           2003-2004, Olaf Schmidt <ojschmidt@kde.org>
           2014, Sebastian Kügler <sebas@kde.org>
           2010, Tomas Trnka <tomastrnka@gmx.com>
License: GPL-2+

Files: addons/pate/src/kate/ui.py
       addons/pate/src/plugins/block.py
       addons/pate/src/plugins/cmake_utils/__init__.py
       addons/pate/src/plugins/cmake_utils/cmake_help_parser.py
       addons/pate/src/plugins/cmake_utils/command_completers/cmake_policy_cc.py
       addons/pate/src/plugins/cmake_utils/command_completers/cond_cc.py
       addons/pate/src/plugins/cmake_utils/command_completers/syntax_cc.py
       addons/pate/src/plugins/cmake_utils/param_types.py
       addons/pate/src/plugins/color_tools.py
       addons/pate/src/plugins/commentar.py
       addons/pate/src/plugins/django_utils/django_settings.py
       addons/pate/src/plugins/django_utils/django_snippets.py
       addons/pate/src/plugins/django_utils/django_template.py
       addons/pate/src/plugins/django_utils/django_utils.py
       addons/pate/src/plugins/format.py
       addons/pate/src/plugins/js_utils/__init__.py
       addons/pate/src/plugins/js_utils/js_autocomplete.py
       addons/pate/src/plugins/js_utils/js_config_page.py
       addons/pate/src/plugins/js_utils/js_lint.py
       addons/pate/src/plugins/js_utils/js_settings.py
       addons/pate/src/plugins/js_utils/json_pretty.py
       addons/pate/src/plugins/libkatepate/autocomplete.py
       addons/pate/src/plugins/libkatepate/common.py
       addons/pate/src/plugins/libkatepate/decorators.py
       addons/pate/src/plugins/libkatepate/errors.py
       addons/pate/src/plugins/libkatepate/menu.py
       addons/pate/src/plugins/libkatepate/pred.py
       addons/pate/src/plugins/libkatepate/project_utils.py
       addons/pate/src/plugins/libkatepate/selection.py
       addons/pate/src/plugins/libkatepate/text.py
       addons/pate/src/plugins/python_autocomplete/python_autocomplete.py
       addons/pate/src/plugins/python_autocomplete/python_autocomplete_parse.py
       addons/pate/src/plugins/python_utils/python_checkers/all_checker.py
       addons/pate/src/plugins/python_utils/python_checkers/parse_checker.py
       addons/pate/src/plugins/python_utils/python_checkers/pep8_checker.py
       addons/pate/src/plugins/python_utils/python_checkers/pyflakes_checker.py
       addons/pate/src/plugins/python_utils/python_checkers/utils.py
       addons/pate/src/plugins/python_utils/python_settings.py
       addons/pate/src/plugins/python_utils/python_snippets.py
       addons/pate/src/plugins/python_utils/python_utils.py
       addons/pate/src/plugins/try_open_file.py
       addons/pate/src/plugins/xml_pretty.py
Copyright: 2010-2013, Alex Turbov <i.zaufi@gmail.com>
           2013, Pablo Martín <goinnn@gmail.com>
           2013, Phil Schaf
License: LGPL-3+

Files: addons/pate/CMakeLists.txt
       addons/pate/sip/CMakeLists.txt
       addons/pate/src/config.h.cmake
       addons/pate/src/kate/__init__.py
       addons/pate/src/kate/api.py
       addons/pate/src/kate/configuration.py
       addons/pate/src/kate/decorators.py
       addons/pate/src/kate/document/decorators.py
       addons/pate/src/kate/document_view_helpers.py
       addons/pate/src/kate/view/decorators.py
       addons/pate/src/plugin.h
       addons/pate/src/plugins/expand/__init__.py
       addons/pate/src/plugins/expand/udf.py
       addons/pate/src/plugins/python_console_classic/python_console_classic.py
       addons/pate/src/sip/okteta.msp
       addons/pate/src/sip/okteta/abstractbytearraymodel.sip
       addons/pate/src/sip/okteta/abstractbytearrayview.sip
       addons/pate/src/sip/okteta/abstractcolumnrenderer.sip
       addons/pate/src/sip/okteta/abstractcolumnstylist.sip
       addons/pate/src/sip/okteta/address.sip
       addons/pate/src/sip/okteta/addressrange.sip
       addons/pate/src/sip/okteta/byte.sip
       addons/pate/src/sip/okteta/bytearraycolumnview.sip
       addons/pate/src/sip/okteta/bytearrayrowview.sip
       addons/pate/src/sip/okteta/character.sip
       addons/pate/src/sip/okteta/charcodec.sip
       addons/pate/src/sip/okteta/columnsview.sip
       addons/pate/src/sip/okteta/kadds.sip
       addons/pate/src/sip/okteta/line.sip
       addons/pate/src/sip/okteta/linerange.sip
       addons/pate/src/sip/okteta/oktetamod.sip
       addons/pate/src/sip/okteta/size.sip
       addons/pate/src/sip/okteta/valuecodec.sip
       addons/pate/src/test/version_checker_test.cpp
       addons/pate/src/test/version_checker_test.h
       addons/pate/src/version_checker.h
Copyright: 2013, Alex Turbov <i.zaufi@gmail.com>
           2006, Paul Giannaros <paul@giannaros.org>
           2012-2013, Shaheed Haque <srhaque@theiet.org>
License: LGPL-2+3

Files: COPYING-GPL3
       addons/close-except-like/close_confirm_dialog.cpp
       addons/close-except-like/close_confirm_dialog.h
       addons/close-except-like/close_except_plugin.cpp
       addons/close-except-like/close_except_plugin.h
       addons/close-except-like/config.h.in
       addons/pate/src/plugins/expand/args.py
       addons/pate/src/plugins/expand/decorators.py
       addons/pate/src/plugins/expand/expands_completion_model.py
       addons/pate/src/plugins/expand/jinja_stuff.py
       addons/pate/src/plugins/expand/key_sequence_tracker.py
       addons/pate/src/plugins/expand/settings.py
       addons/pate/src/plugins/expand/text_x-c++src.expand
Copyright: 2010-2013, Alex Turbov <i.zaufi@gmail.com>
           2007, Free Software Foundation, Inc. <http://fsf.org/>
License: GPL-3+

Files: addons/pate/sip/kate/application.sip
       addons/pate/sip/kate/documentmanager.sip
       addons/pate/sip/kate/katemod.sip
       addons/pate/sip/kate/mainwindow.sip
       addons/pate/sip/kate/plugin.sip
       addons/pate/sip/kate/pluginconfigpageinterface.sip
       addons/pate/sip/kate/pluginmanager.sip
       kate/COPYING.LIB
       kate/data/org.kde.kate.appdata.xml
       kwrite/org.kde.kwrite.appdata.xml
Copyright: 1991-1999, Free Software Foundation, Inc
           2007, Jim Bublitz <jbublitz@nwinternet.com>
License: LGPL-2.1+

Files: addons/pate/src/plugins/gdb/cli.py
       addons/pate/src/plugins/gdb/gdb_command_db.py
       addons/pate/src/plugins/gdb/gdb_execute.py
       addons/pate/src/plugins/gdb/miparser.py
       addons/pate/src/plugins/gdb/qgdb.py
       addons/pate/src/plugins/gid/__init__.py
       addons/pate/src/plugins/gid/idutils.py
Copyright: 2009-2013, Shaheed Haque <srhaque@theiet.org>
License: GPL-2+3+KDEeV

Files: addons/pate/src/engine.cpp
       addons/pate/src/engine.h
       addons/pate/src/plugin.cpp
       addons/pate/src/utilities.cpp
       addons/pate/src/utilities.h
Copyright: 2013, Alex Turbov <i.zaufi@gmail.com>
           2006, Paul Giannaros <paul@giannaros.org>
           2012-2013, Shaheed Haque <srhaque@theiet.org>
License: LGPL-2.1+3+KDEeV

Files: addons/kate-ctags/kate_ctags_plugin.cpp
       addons/kate-ctags/kate_ctags_plugin.h
       addons/kate-ctags/kate_ctags_view.cpp
       addons/kate-ctags/kate_ctags_view.h
Copyright: 2008-2011, Kare Sars <kare.sars@iki.fi>
License: GPL-2.1+3+KDEeV

Files: addons/pate/src/CMakeLists.txt
       addons/pate/src/plugins/CMakeLists.txt
       addons/pate/src/sip/CMakeLists.txt
Copyright: 2013, Alex Turbov <i.zaufi@gmail.com>
           2006, Paul Giannaros <paul@giannaros.org>
           2012-2013, Shaheed Haque <srhaque@theiet.org>
License: BSD-2-clause

Files: addons/kate-ctags/readtags.c
       addons/kate-ctags/readtags.h
       addons/project/ctags/readtags.c
       addons/project/ctags/readtags.h
Copyright: 1996-2003, Darren Hiebert <dhiebert@users.sourceforge.net>
License: public-domain
 This source code is released into the public domain.

Files: doc/*
Copyright: 2000-2001, Seth Rothberg
           2002-2005, Anders Lund
           2005-2009, Dominic Hauman
           2011-2014, T.C. Hollingsworth
           2000-2001, Thad McGinnis
           2005, Anne-Marie Mahfouf
           2000, Jochen Wilhelmy
           2000-2005, the kate developer team
           2001-2014, the kate team
License: GFDL-NIV-1.2+

Files: debian/*
Copyright: 2015, Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
License: Permissive
 The packaging efforts in this debian package are free software; the copyright
 holder(s) give unlimited permission to copy, distribute and modify it.

License: BSD-2-clause
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:
 .
 1. Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.
 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the distribution.
 .
 THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

License: GFDL-NIV-1.2+
 Permission is granted to copy, distribute and/or modify this document
 under the terms of the GNU Free Documentation License, Version 1.2
 or any later version published by the Free Software Foundation;
 with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.
 A copy of the license is included in the section entitled "GNU
 Free Documentation License".
 --
 On Debian systems, the complete text of the GNU Free Documentation License
 version 1.2 can be found in `/usr/share/common-licenses/GFDL-1.2'.

License: GPL-2
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; version 2 dated June, 1991.
 .
 This package is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software Foundation,
 Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 --
 On Debian systems, the complete text of the GNU General Public License
 version 2 can be found in `/usr/share/common-licenses/GPL-2'.

License: GPL-2+
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.
 --
 On Debian systems, the complete text of the GNU General Public License
 version 2 can be found in `/usr/share/common-licenses/GPL-2'.

License: GPL-2+3+KDEeV
 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License as
 published by the Free Software Foundation; either version 2 of
 the License or (at your option) version 3 or any later version
 accepted by the membership of KDE e.V. (or its successor approved
 by the membership of KDE e.V.), which shall act as a proxy
 defined in Section 14 of version 3 of the license.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 --
 On Debian systems, the complete text of the GNU General Public License
 version 2 can be found in `/usr/share/common-licenses/GPL-2', likewise, the
 complete text of the GNU General Public License version 3 can be found in
 `/usr/share/common-licenses/GPL-3'.

License: GPL-2.1+3+KDEeV
 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) version 3, or any
 later version accepted by the membership of KDE e.V. (or its
 successor approved by the membership of KDE e.V.), which shall
 act as a proxy defined in Section 6 of version 3 of the license.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 General Public License for more details.
 .
 You should have received a copy of the GNU General Public
 License along with this program.  If not, see <http://www.gnu.org/licenses/>.
 --
 On Debian systems, the complete text of the GNU General Public License
 version 2 can be found in `/usr/share/common-licenses/GPL-2', likewise, the
 complete text of the GNU General Public License version 3 can be found in
 `/usr/share/common-licenses/GPL-3'.
Comment: There is no GPL-2.1. This is most likely a typo either for GPL-2 or
 LGPL-2.1. As stated it would be under the GPL-3.
 ... Copy and paste error in the license of a text editor.

License: GPL-3+
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 --
 On Debian systems, the complete text of the GNU General Public License
 version 3 can be found in `/usr/share/common-licenses/GPL-3'.

License: LGPL-2
 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Library General Public
 License version 2 as published by the Free Software Foundation.
 .
 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Library General Public License for more details.
 .
 You should have received a copy of the GNU Library General Public License
 along with this library; see the file COPYING.LIB.  If not, write to
 the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 Boston, MA 02110-1301, USA.
 --
 On Debian systems, the complete text of the GNU Library General Public
 License version 2 can be found in `/usr/share/common-licenses/LGPL-2'.

License: LGPL-2+
 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Library General Public
 License as published by the Free Software Foundation; either
 version 2 of the License, or (at your option) any later version.
 .
 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Library General Public License for more details.
 .
 You should have received a copy of the GNU Library General Public License
 along with this library; see the file COPYING.LIB.  If not, write to
 the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 Boston, MA 02110-1301, USA.
 --
 On Debian systems, the complete text of the GNU Library General Public
 License version 2 can be found in `/usr/share/common-licenses/LGPL-2'.

License: LGPL-2+3
 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Library General Public
 License as published by the Free Software Foundation; either
 version 2 of the License, or (at your option) version 3.
 .
 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Library General Public License for more details.
 .
 You should have received a copy of the GNU Library General Public License
 along with this library; see the file COPYING.LIB.  If not, write to
 the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 Boston, MA 02110-1301, USA.
 --
 On Debian systems, the complete text of the GNU Library General Public
 License version 2 can be found in `/usr/share/common-licenses/LGPL-2',
 likewise, the complete text of the GNU Lesser General Public License version
 3 can be found in `/usr/share/common-licenses/LGPL-3'.

License: LGPL-2.1+
 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.
 .
 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.
 .
 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 --
 On Debian systems, the complete text of the GNU Lesser General Public
 License version 2.1 can be found in `/usr/share/common-licenses/LGPL-2.1'.

License: LGPL-2.1+3+KDEeV
 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) version 3, or any
 later version accepted by the membership of KDE e.V. (or its
 successor approved by the membership of KDE e.V.), which shall
 act as a proxy defined in Section 6 of version 3 of the license.
 .
 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.
 .
 You should have received a copy of the GNU Lesser General Public
 License along with this library.  If not, see <http://www.gnu.org/licenses/>.
 --
 On Debian systems, the complete text of the GNU Lesser General Public
 License version 2.1 can be found in `/usr/share/common-licenses/LGPL-2.1',
 likewise, the complete text of the GNU Lesser General Public License version
 3 can be found in `/usr/share/common-licenses/LGPL-3'.

License: LGPL-3+
 This software is free software: you can redistribute it and/or modify
 it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 .
 This software is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU Lesser General Public License for more details.
 .
 You should have received a copy of the GNU Lesser General Public License
 along with this software.  If not, see <http://www.gnu.org/licenses/>.
 --
 On Debian systems, the complete text of the GNU Lesser General Public
 License version 3 can be found in `/usr/share/common-licenses/LGPL-3'.
